@import "abstracts/abstracts";

$color-text: $grey;

:host {
  width: 100%;
  background-color: $background-grey;
  color: $color-text;
  text-align: center;
  display: grid;
  grid-template-columns: max-content 1fr max-content;
  grid-template-rows: 1fr;
  justify-content: space-between;
  align-items: center;
  z-index: $z-index-footer;

  .left,
  .right {
    display: grid;
    grid-template-columns: inherit;

    > * {
      width: 40px;
      height: 40px;
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }

  .left {

    .update-version {
      cursor: pointer;

      @include respond-to-smaller-than-breakpoint('sm') {
        //display: none;
      }
    }
  }

  .copyrights {
    font-size: 11px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px 0;

    @include respond-to-smaller-than-breakpoint('sm') {
      flex-direction: column;
    }

    a {
      color: $color-text;
      font-weight: bold;
      margin: 0 4px;

      &:hover {
        color: $color-text;
      }

      &:before {
        background-color: $color-text;
      }
    }

    .unige {
      margin-left: 4px;

      @include respond-to-smaller-than-breakpoint('sm') {
        display: none;
      }
    }
  }

  .right {
    .core-trust-seal {
      .core-trust-seal-image {
        height: 30px;
        width: 30px;
        margin-top: 4px;
      }
    }

    .toc {
      ::ng-deep .open-button {
        color: $color-text
      }
    }

    .about {
      @include respond-to-smaller-than-breakpoint('md') {
        display: none;
      }
    }
  }
}

@include isInDarkMode {
  background-color: $dark-mode-toolbar;
  color: $dark-mode-text-color;

  .center {
    .copyrights {
      a {
        color: $dark-mode-text-color;
      }
    }
  }

  .right {
    .toc {
      ::ng-deep .open-button {
        color: $dark-mode-text-color;
      }
    }
  }
}
